#!/bin/bash

export Script_Dir="${0%/*}"
export Chronicall_Pid="chronicallServerPid"

echo Attempting to stop Chronicall Server
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Pid"` > "$Script_Dir"/chronicallProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallProcessAliveTest.txt ]
	then
		echo Stopping Chronicall Server \(pid `cat "$Script_Dir"/"$Chronicall_Pid"`\)
		kill -9 `cat "$Script_Dir"/"$Chronicall_Pid"`
	else
		echo Chronicall Server is not running
	fi
	rm "$Script_Dir"/"$Chronicall_Pid"
	rm "$Script_Dir"/chronicallProcessAliveTest.txt
else
	echo Chronicall Server is not running
fi